Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1606247 - rubygem-redcarpet: FTBFS in Fedora rawhide
Summary: rubygem-redcarpet: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-redcarpet
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matt Hicks
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1551327 F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-20 19:08 UTC by Mohan Boddu
Modified: 2018-07-24 22:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-24 22:43:37 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2018-07-20 19:08 UTC, Mohan Boddu
no flags Details
root.log (deleted)
2018-07-20 19:08 UTC, Mohan Boddu
no flags Details
state.log (deleted)
2018-07-20 19:08 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-20 19:08:03 UTC
rubygem-redcarpet failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28230754


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix rubygem-redcarpet at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
rubygem-redcarpet will be orphaned. Before branching of Fedora 30,
rubygem-redcarpet will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 19:08:10 UTC
Created attachment 1467760 [details]
build.log

Comment 2 Mohan Boddu 2018-07-20 19:08:14 UTC
Created attachment 1467761 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 19:08:18 UTC
Created attachment 1467762 [details]
state.log

Comment 4 Igor Raits 2018-07-23 11:15:02 UTC
Matches:
make: gcc: Command not found

Suggested fix:
BuildRequires:  gcc

Comment 5 Igor Raits 2018-07-24 22:43:37 UTC
There has been at least one successfull build after this bug got created.

rubygem-redcarpet-3.3.2-11.fc29: https://koji.fedoraproject.org/koji/buildinfo?buildID=1124528


Note You need to log in before you can comment on or make changes to this bug.